%define apache_service httpd
%define apache_group apache
%define backup_dir /var/www/html/backup
%define debug_package %{nil}

Summary: A web GUI for backing up configuration files and logs for op5 Monitor
Name: monitor-backup
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/monitor
License: op5 Software License
URL: https://www.itrsgroup.com
Prefix: /opt/monitor/op5/backup
Source: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: tar
Requires: gzip
Requires: monitor
Requires: op5-monitor-supported-webserver
Requires: python3
BuildRequires: python3

%description
The OP5 Monitor backup tool allows for easy and basic backup by the
simple expedient of clicking a link.  Files are stored locally, and can
easily be downloaded to a remote location for integration with an already
deployed backup solution.

%prep
%setup -q


%build
%{__make} CFLAGS=-DTAR_PATH='\"%{__tar}\"'

%check
%{__make} test

%install
%{__install} -D -m 644 backup-httpd.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/monitor-backup.conf
%{__install} -D backup %{buildroot}%{prefix}/backup
%{__install} -D restore %{buildroot}%{prefix}/restore
%{__mkdir} -p -m 775 %buildroot%backup_dir


%files
%{prefix}
%dir %attr(775,monitor,%apache_group) %backup_dir
%{_sysconfdir}/httpd/conf.d/monitor-backup.conf

%clean
%{__rm} -rf %buildroot

%changelog
* Mon Feb 22 2021 Aksel Sjögren <asjogren@itrsgroup.com>
- Remove EL6 and suse support.
* Thu May 03 2007 Peter Ostlin <peter@op5.se>
- Require httpd not apache to comply with centos
* Fri Jul 21 2006 Johannes Dagemark <jd@op5.se> 2.4.0-op5.1
- Updated to version 2.4.0
* Fri Oct 15 2004 Andreas Ericsson <ae@op5.se> 1.1-op5.1
- First real working RPM package.
